Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.queries_tab
Class AbstractSlotValueWidget

    java.lang.Object
      edu.stanford.smi.protegex.queries_tab.AbstractSlotValueWidget

All Implemented Interfaces:
  SlotValueWidget

Direct Known Subclasses:
  AbstractListValueWidget, BooleanSlotValueWidget, FloatSlotValueWidget, IntegerSlotValueWidget, StringSlotValueWidget, SymbolSlotValueWidget

    public abstract class AbstractSlotValueWidget

extends Object
implements SlotValueWidget

Nested Class Summary
`protected class` | `AbstractSlotValueWidget.SlotValueWidgetMouse` Define table mouse adapter.

Field Summary
`AbstractTemplateSlotNumberValidator` | `_validator`
`protected String[]` | `constraints`
`static int` | `FIELDHEIGHT`
`static int` | `FIELDWIDTH`
`protected boolean` | `isViewEnabled`
`protected Collection` | `itsInstances`
`Slot` | `itsSlot`
`QueriesTab` | `itsTab`
`SearchWidget` | `itsWidget`
`protected String` | `label`
`Cls` | `selection`
`protected String` | `slotName`
`protected SlotSpecification` | `specification`
`protected boolean` | `visible`

Fields inherited from interface edu.stanford.smi.protegex.queries_tab.SlotValueWidget
`HEIGHT, WIDTH`

Constructor Summary
`AbstractSlotValueWidget(SearchWidget widget)` Constructor of class AbstractRelationDisplay.

Method Summary
`void` | `doTask(String type)` flexible task
`KnowledgeBase` | `getKB()` Get the reference of current knowledge base in protege.
`String` | `getLabel()` Get the label of RelationDisplay.
`JComponent` | `getNorthComponent()` Get the component which will locate in the north of relation display.
`Project` | `getProject()` Get Protege project
`String[]` | `getSelectedItems()` Get the selected items.
`String` | `getSlotName()` Get the name of the slot for this relation display.
`QueriesTab` | `getTab()` Get the tab.
`void` | `initialized()` Called after project and kb are set.
`boolean` | `isComplete()` whether the seach is done or not
`boolean` | `isSlotSingleValued()` If the slot is single value, return true.
`boolean` | `isViewEnabled()`
`boolean` | `isVisible()` get visible
`void` | `removeListener()`
`void` | `removeMouse()`
`Collection` | `search()` For the formed search result, change the format.
`void` | `setActionsEnabled(boolean b)` Enable/Disable the icons.
`void` | `setCls(Cls cls)` Setup the selected cls
`void` | `setDisplayName(String name)`
`void` | `setInstances(Collection instances)` Setup the instances collection
`void` | `setProject(Project proj)` Set the Protege project.
`void` | `setSlotName(String n)` Set the name of the slot for this relation display.
`void` | `setSpecification(SlotSpecification spec)` Setup the search specification.
`void` | `setViewEnabled(boolean b)`
`void` | `setVisible(boolean v)` Set visible
`void` | `viewObject()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protegex.queries_tab.SlotValueWidget
`getComponent, getData, getSelectedObject, getWidget, search, setData, setSelectedObject`

Field Detail

### FIELDWIDTH

    public static final int FIELDWIDTH

See Also:
  Constant Field Values

### FIELDHEIGHT

    public static final int FIELDHEIGHT

See Also:
  Constant Field Values

### slotName

    protected String slotName

### label

    protected String label

### visible

    protected boolean visible

### specification

    protected SlotSpecification specification

### selection

    public Cls selection

### itsSlot

    public Slot itsSlot

### itsTab

    public QueriesTab itsTab

### itsInstances

    protected Collection itsInstances

### constraints

    protected String[] constraints

### itsWidget

    public SearchWidget itsWidget

### isViewEnabled

    protected boolean isViewEnabled

### _validator

    public AbstractTemplateSlotNumberValidator _validator

Constructor Detail

### AbstractSlotValueWidget

    public AbstractSlotValueWidget(SearchWidget widget)

  Constructor of class AbstractRelationDisplay.

Method Detail

### doTask

    public void doTask(String type)

  flexible task

  Specified by:
    `doTask` in interface `SlotValueWidget`

### getKB

    public KnowledgeBase getKB()

  Get the reference of current knowledge base in protege.

### getLabel

    public String getLabel()

  Get the label of RelationDisplay.

  Specified by:
    `getLabel` in interface `SlotValueWidget`

### getNorthComponent

    public JComponent getNorthComponent()

  Get the component which will locate in the north of relation display.

### getProject

    public Project getProject()

  Get Protege project

### getSelectedItems

    public String[] getSelectedItems()

  Get the selected items. Return is an string array.

  Specified by:
    `getSelectedItems` in interface `SlotValueWidget`

### getSlotName

    public String getSlotName()

  Get the name of the slot for this relation display.

  Specified by:
    `getSlotName` in interface `SlotValueWidget`

### getTab

    public QueriesTab getTab()

  Description copied from interface: `SlotValueWidget`
  Get the tab.

  Specified by:
    `getTab` in interface `SlotValueWidget`

### initialized

    public void initialized()

  Description copied from interface: `SlotValueWidget`
  Called after project and kb are set.

  Specified by:
    `initialized` in interface `SlotValueWidget`

### isComplete

    public boolean isComplete()

  Description copied from interface: `SlotValueWidget`
  whether the seach is done or not

  Specified by:
    `isComplete` in interface `SlotValueWidget`

### isSlotSingleValued

    public boolean isSlotSingleValued()

  If the slot is single value, return true. Otherwise, return false.

  Specified by:
    `isSlotSingleValued` in interface `SlotValueWidget`

### isViewEnabled

    public boolean isViewEnabled()

  Specified by:
    `isViewEnabled` in interface `SlotValueWidget`

### isVisible

    public boolean isVisible()

  get visible

  Specified by:
    `isVisible` in interface `SlotValueWidget`

### removeListener

    public void removeListener()

  Specified by:
    `removeListener` in interface `SlotValueWidget`

### removeMouse

    public void removeMouse()

  Specified by:
    `removeMouse` in interface `SlotValueWidget`

### search

    public Collection search()

  For the formed search result, change the format.

  Specified by:
    `search` in interface `SlotValueWidget`

### setActionsEnabled

    public void setActionsEnabled(boolean b)

  Enable/Disable the icons.

  Specified by:
    `setActionsEnabled` in interface `SlotValueWidget`

### setCls

    public void setCls(Cls cls)

  Setup the selected cls

  Specified by:
    `setCls` in interface `SlotValueWidget`

### setDisplayName

    public void setDisplayName(String name)

  Specified by:
    `setDisplayName` in interface `SlotValueWidget`

### setInstances

    public void setInstances(Collection instances)

  Setup the instances collection

  Specified by:
    `setInstances` in interface `SlotValueWidget`

### setProject

    public void setProject(Project proj)

  Set the Protege project.

  Specified by:
    `setProject` in interface `SlotValueWidget`

### setSlotName

    public void setSlotName(String n)

  Set the name of the slot for this relation display.

### setSpecification

    public void setSpecification(SlotSpecification spec)

  Setup the search specification.

  Specified by:
    `setSpecification` in interface `SlotValueWidget`

### setViewEnabled

    public void setViewEnabled(boolean b)

  Specified by:
    `setViewEnabled` in interface `SlotValueWidget`

### setVisible

    public void setVisible(boolean v)

  Set visible

  Specified by:
    `setVisible` in interface `SlotValueWidget`

### viewObject

    public void viewObject()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request